TYPO3 Core - Task #68867

Story # 68805 (Closed): Replace current icons in the core by using the new Icon-API

Replace icon by the IconFactory actions-document-save-close
2015-08-08 18:10 - Markus Gunther

Status: Closed Start date: 2015-08-07
Priority: Should have Due date:

Assignee: Michael Oehlhof % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 7.5

TYPOS3 Version: 7 Complexity:

PHP Version: Sprint Focus: Remote Sprint
Tags:

Description

Register the icon "actions-document-save-close" and replace the iconUstility calls for that icon with the IconFactory.

The icon actions-document-save-close is still a image icon. Need to wait for the SVG!

Associated revisions

Revision 027c¢5f54 - 2015-09-04 13:36 - Michael Oehlhof

[TASK] Replace sprite icon "actions-document-save-close" with IconFactory

Replaces all IconUtility::getSpritelcon calls for the icon
actions-document-save with the new IconFactory.

Resolves: #68867

Releases: master

Change-1d: 1e0591197ade6473af9a470b34e3f5e2e56eabb60
Reviewed-on: http:/review.typo3.org/43003

Reviewed-by: Frank Nagler <frank.naegler@typo3.org>
Tested-by: Frank N&gler <frank.naegler@typo3.org>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2015-09-03 01:00 - Michael Oehlhof
- Assignee set to Michael Oehlhof
- Target version set to 7.5

- Sprint Focus set to Remote Sprint

#2 - 2015-09-03 23:21 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43003

#3 - 2015-09-04 10:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43003

#4 - 2015-09-04 10:58 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.org/43003

#5 - 2015-09-04 12:13 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43003
#6 - 2015-09-04 12:28 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43003

#7 - 2015-09-04 14:00 - Michael Oehlhof
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 027c5t54d4883fc32490236af357a583bfd6d64e.

#8 - 2017-10-19 21:51 - Riccardo De Contardi

- Status changed from Resolved to Closed
